using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface ISysMenu
    {
        int Add(KstCMS.Model.SiteModel.SysMenu Model);
        void Update(KstCMS.Model.SiteModel.SysMenu Model);
        void Delete(string MENU_ID);
        System.Data.DataSet GetList(string strWhere, string OrderBy, int Top, params string[] FieldNames);
        KstCMS.Model.SiteModel.SysMenu GetModel(string Menu_ID, params string[] FieldNames);
        bool Exists(string Menu_Id);
    }
}
